<?php
require("../fonction/info_pdf.php");
require("../fonction/Fct_appel.php");
require("../connexion.php");
class PDF extends FPDF
{
function Header()
{
//logo   
    //$this->Image($image,10,10,0);
    //$this->Ln(6);
//adresse
    $this->SetFont('Arial','I',8);
    $this->Cell(0,10,'','B',1,'L');
    $this->Ln(5);   
}			
function Footer()
{
    //Positionnement  1,5 cm du bas
    $this->SetY(-15);
    //Arial italique 8
    $this->SetFont('Arial','I',8);
    //Couleur du texte en gris
    $this->SetTextColor(128);
    //Numro de page
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}','T',0,'R');
}
function texte()
{
$requete="SELECT `titre` , `text` FROM `appel_text`";
$resultat=SELECT_TOUT($requete);
$titre=$resultat[0][0];
$txt=strip_tags($resultat[0][1],"");
    $this->SetFont('arial','B',12);
    //Sortie du texte justifi
    $this->MultiCell(0,5,$titre,0,'C');
    //Saut de ligne
    $this->Ln();
    $this->SetFont('Times','',10);
    //Sortie du texte justifi
    $this->MultiCell(0,5,$txt);
    //Saut de ligne
    $this->Ln();
}
function signature()
{
$requete="SELECT `nom` , `prenom` , `profession` , `ville` , `date` FROM `appel` ORDER BY `date` DESC";
$signature=SELECT_TOUT($requete);
$nbre=count($signature);
for($i=0;$i<$nbre;$i++)
{
$id=ucfirst($signature[$i][1]).' '.MAJUSCULE($signature[$i][0]);
$profession=ucfirst($signature[$i][2]) ;
$ville=ucfirst($signature[$i][3]);
list($date, $heure)=explode(" ",$signature[$i][4]);
$date_aff=FORMAT_DATE($date);
$this->Cell(45,10,$id,1,0,'C');
$this->Cell(40,10,$profession,1,0,'C');
$this->Cell(50,10,$ville,1,0,'C');
$this->Cell(55,10,$date_aff.'  '.$heure,1,1,'C');
}
}
}
//===========================================================
//===========================================================			 
$pdf=new PDF();
$pdf->AddPage();
$pdf->AliasNbPages();
$pdf->texte();
$pdf->ln(5);
$pdf->SetFont('Times','',8);
$pdf->signature();
$pdf->Output();
//Dtermination d'un nom de fichier temporaire dans le rpertoire courant/tmp
//chdir('tmp');
//$file=basename(tempnam(getcwd(),'tmp'));
//rename($file,$file.'.pdf');
//$file.='.pdf';
//Sauvegarde du PDF dans le fichier
//$pdf->Output($file);
//clean le tmp 
//CleanFiles('.');
//Redirection JavaScript
//echo "<HTML><SCRIPT>document.location='tmp/$file';</SCRIPT></HTML>";
?>